# core/plugs/show.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def show(event):
    rest = event.get_rest()
    if not rest: return
    parsed = event.get_parsed()
    objs = sorted(event.selected(parsed), key=lambda x: x.get_timed())
    try: event.reply(objs[parsed.index].format(parsed.index, skiplist=["ctype", "prefix", "saved"])) ; return
    except: pass
    nr = 1
    for obj in objs: event.reply("\n" + obj.format(nr, skiplist=["ctype", "prefix", "saved"])) ; nr += 1

kernel.cmnds.register("show", show)
