# core/plugs/text.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def text(event):
    rest = event.get_rest()
    if not rest: return
    parsed = event.get_parsed()
    objs = sorted(kernel.full(parsed), key=lambda x: x.get_timed())
    nr = 1
    for obj in objs:
        if obj.search(rest): event.reply("\n" + obj.format(nr, skiplist=["ctype", "prefix", "saved"])) ; nr += 1

kernel.cmnds.register("text", text)
